# Units API

Manages units for a venue.

## Gets Units for Venue

 - [GET /venues/{venueId}/units](https://docs.ruckus.cloud/api/property-management-1.0.1/units-api/getallunits.md): Gets the list of units paged.

## Adds Unit to Venue

 - [POST /venues/{venueId}/units](https://docs.ruckus.cloud/api/property-management-1.0.1/units-api/addunit.md): Allows the user to add a unit on the specified venue.

## Query Units for Venue

 - [POST /venues/{venueId}/units/query](https://docs.ruckus.cloud/api/property-management-1.0.1/units-api/queryunits.md): Gets the list of units using the specified query.

## Gets Notifications for Units

 - [POST /venues/{venueId}/units/notifications](https://docs.ruckus.cloud/api/property-management-1.0.1/units-api/resendnotifications.md): Allows the user to resend notifications for units with the given ids.

## Gets Unit for Venue

 - [GET /venues/{venueId}/units/{unitId}](https://docs.ruckus.cloud/api/property-management-1.0.1/units-api/fetchunit.md): Allows the user to get a unit with the given id.

## Delete Unit for Venue

 - [DELETE /venues/{venueId}/units/{unitId}](https://docs.ruckus.cloud/api/property-management-1.0.1/units-api/deleteunit.md): Allows the user to delete a unit with the given id.

## Selectively Updates Unit Configurations

 - [PATCH /venues/{venueId}/units/{unitId}](https://docs.ruckus.cloud/api/property-management-1.0.1/units-api/editunit.md): Allows the user to selectively update unit configurations on the specified venue.

